Bug 135412 - unescaped RPM macro places excessive garbage text into changelog
unescaped RPM macro places excessive garbage text into changelog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-12 11:49 EDT by Moritz Barsnick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.8.7-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 16:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2004-10-12 11:49:08 EDT
Description of problem:
In the SPEC file, there is an unescaped RPM macro, namely %configure. 
This is unfortunately expanded in the changelog (rpm -qp --changelog 
$file.rpm), and is a bit annoying.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. tail +`fgrep -n %changelog gstreamer.spec | cut -d: -f1`  
gstreamer.spec | fgrep %configure
 
Actual results:
- stopped using %configure so we need to pass in all the args

Expected results:
- stopped using %%configure so we need to pass in all the args

Additional info:

Note You need to log in before you can comment on or make changes to this bug.